Bug 170052 - Konsole crashes on exit using qt4.5
Summary: Konsole crashes on exit using qt4.5
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-29 20:51 UTC by Michael Maximov
Modified: 2009-01-07 20:27 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Maximov 2008-08-29 20:51:33 UTC
Version:           2.1 (using KDE 4.1.0)
Compiler:          gcc (SUSE Linux) 4.3.1 20080507 (prerelease) 
OS:                Linux
Installed from:    SuSE RPMs

Konsole crashes when I close it.
When I open terminal window in Dolphin and close Dolphin, it crashes as well.

Backtrace:

Application: Konsole (konsole), signal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0xb63896d0 (LWP 2648)]
[New Thread 0xb4cf2b90 (LWP 2649)]
[KCrash handler]
#6  0x00000014 in ?? ()
#7  0xb7ef69ff in Konsole::TabbedViewContainerV2::removeViewWidget (
    this=0x8141068, view=0x8239be8)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/ViewContainer.cpp:879
#8  0xb7ef7681 in Konsole::ViewContainer::viewDestroyed (this=0x8141068, 
    object=0x8239be8)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/ViewContainer.cpp:159
#9  0xb7ef7747 in Konsole::ViewContainer::qt_metacall (this=0x8141068, 
    _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbff549bc)
    at /usr/src/debug/kdebase-4.1.0/build/apps/konsole/src/ViewContainer.moc:94
#10 0xb7efc14a in Konsole::TabbedViewContainerV2::qt_metacall (this=0x8141068, 
    _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbff549bc)
    at /usr/src/debug/kdebase-4.1.0/build/apps/konsole/src/ViewContainer.moc:327
#11 0xb75291ea in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#12 0xb7529510 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#13 0xb752959b in QObject::destroyed () from /usr/lib/libQtCore.so.4
#14 0xb752bfe9 in QObject::~QObject () from /usr/lib/libQtCore.so.4
#15 0xb6a197ac in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#16 0xb7eefd35 in ~TerminalDisplay (this=0x8239be8)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/TerminalDisplay.cpp:385
#17 0xb75249cf in QObjectPrivate::deleteChildren ()
   from /usr/lib/libQtCore.so.4
#18 0xb6a195fa in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#19 0xb6d34771 in QFrame::~QFrame () from /usr/lib/libQtGui.so.4
#20 0xb6d983b5 in QStackedWidget::~QStackedWidget ()
   from /usr/lib/libQtGui.so.4
#21 0xb75249cf in QObjectPrivate::deleteChildren ()
   from /usr/lib/libQtCore.so.4
#22 0xb6a19e2a in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#23 0xb75249cf in QObjectPrivate::deleteChildren ()
   from /usr/lib/libQtCore.so.4
#24 0xb6a195fa in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#25 0xb6d34771 in QFrame::~QFrame () from /usr/lib/libQtGui.so.4
#26 0xb6d9236b in QSplitter::~QSplitter () from /usr/lib/libQtGui.so.4
#27 0xb7f04fbd in ~ViewSplitter (this=0x80f7d28)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/ViewSplitter.h:48
#28 0xb75249cf in QObjectPrivate::deleteChildren ()
   from /usr/lib/libQtCore.so.4
#29 0xb6a19e2a in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#30 0xb75249cf in QObjectPrivate::deleteChildren ()
   from /usr/lib/libQtCore.so.4
#31 0xb6a195fa in QWidget::~QWidget () from /usr/lib/libQtGui.so.4
#32 0xb6d4de71 in QMainWindow::~QMainWindow () from /usr/lib/libQtGui.so.4
#33 0xb7b6d5c9 in KMainWindow::~KMainWindow () from /usr/lib/libkdeui.so.5
#34 0xb7baca77 in KXmlGuiWindow::~KXmlGuiWindow () from /usr/lib/libkdeui.so.5
#35 0xb7f0fc18 in ~MainWindow (this=0x80e43d0)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/MainWindow.h:56
#36 0xb752469c in qDeleteInEventHandler () from /usr/lib/libQtCore.so.4
#37 0xb75261b3 in QObject::event () from /usr/lib/libQtCore.so.4
#38 0xb6a1bd06 in QWidget::event () from /usr/lib/libQtGui.so.4
#39 0xb6d4e5e7 in QMainWindow::event () from /usr/lib/libQtGui.so.4
#40 0xb7b6c8e8 in KMainWindow::event () from /usr/lib/libkdeui.so.5
#41 0xb7bad89c in KXmlGuiWindow::event () from /usr/lib/libkdeui.so.5
#42 0xb69ca08c in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#43 0xb69d1a1a in QApplication::notify () from /usr/lib/libQtGui.so.4
#44 0xb7aa968d in KApplication::notify () from /usr/lib/libkdeui.so.5
#45 0xb7517161 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#46 0xb7517a21 in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#47 0xb7540b0a in QEventDispatcherUNIX::processEvents ()
   from /usr/lib/libQtCore.so.4
#48 0xb6a56d22 in QEventDispatcherX11::processEvents ()
   from /usr/lib/libQtGui.so.4
#49 0xb75158da in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#50 0xb7515a9a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#51 0xb7517c81 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#52 0xb69c9f07 in QApplication::exec () from /usr/lib/libQtGui.so.4
#53 0xb7f11cfa in kdemain (argc=1, argv=0xbff55934)
    at /usr/src/debug/kdebase-4.1.0/apps/konsole/src/main.cpp:100
#54 0x080487b2 in main (argc=359, argv=0x11)
    at /usr/src/debug/kdebase-4.1.0/build/apps/konsole/src/konsole_dummy.cpp:3
#0  0xffffe422 in __kernel_vsyscall ()
Comment 1 Bernhard Friedreich 2008-11-11 15:25:42 UTC
I'm getting the same crash on recent trunk (few days old)

System:
openSUSE 11.1 Beta 4
Qt 4.5 Snapshot (7.11.2008)
Compiled from source
NVIDIA 9600M GT -- proprietary driver (177.80)

I really hope this bug will be fixed soon because atm I can't use konsole anymore.. it crashes on me when closing, and even sometimes DURING working with it.. so compiling or running a system update is not possible with konsole for me...
Comment 2 Dario Andres 2008-12-27 21:54:26 UTC
Can you update to the latest QT4.5 snapshot or downgrade to Qt4.4. I experienced this bug when installed QT4.5 technical preview (some months ago), but this doesn't happen with Qt4.4. Thanks :)
Comment 3 Alexis MENARD 2009-01-07 20:27:41 UTC
Fixed with commit 907272, the bug was in Konsole.